package cn.com.countrygarden.bi.main.model.wcx;

import java.util.Date;

/**
 * Created by Administrator on 2018/6/22.
 */
public class WcxPrizeItem {
    private String prizeItemId; //  varchar(36) NOT NULL COMMENT '获奖明细表主键',
    private String innId; //  varchar(36) NOT NULL COMMENT '创新主键',
    private String innTitle; //  varchar(255) DEFAULT NULL COMMENT '创新标题',
    private String innContent; //  varchar(1000) DEFAULT NULL COMMENT '创新内容',
    private String innType; //  char(1) DEFAULT NULL COMMENT '创新类型(1:个人创新,2:团队创新)',
    private String innBaseline; //  char(1) DEFAULT NULL COMMENT '创新基础业务线',
    private String innClassification; //  char(1) DEFAULT NULL COMMENT '创新类型',
    private String innTeamContent; //  varchar(255) DEFAULT NULL COMMENT '创新团队成员介绍内容',
    private String innProjectName; //  varchar(36) DEFAULT NULL COMMENT '创新项目名称',
    private String innRegionName; //  varchar(36) DEFAULT NULL COMMENT '创新区域名称',
    private String innUserId; //  varchar(36) DEFAULT NULL COMMENT '创新提出的用户主键',
    private String innEmployeeName;
    private String innEmployeeHeadPicUrl;
    private Long innThumbNumber; // 点赞数

    private String prizeUserId; //  varchar(36) DEFAULT NULL COMMENT '获奖用户表的主键',
    private String prizeEmployeeName; //  varchar(36) DEFAULT NULL COMMENT '获奖人员名称',
    private String prizeUserProject; //  varchar(100) DEFAULT NULL COMMENT '获奖人员所在项目',
    private String prizeUserRegion; //  varchar(100) DEFAULT NULL COMMENT '获奖人员所在区域',
    private String prizeEmployeeHeadPicUrl; // (新增)人员头像
    private Integer prizeUserInnNum; // (新增)创新数
    private Integer prizeUserThumbNum; // (新增)点赞数

    private String projectUserId; //  varchar(36) DEFAULT NULL COMMENT '项目总用户id',
    private String projectName; //  varchar(100) DEFAULT NULL COMMENT '项目总的项目名称',
    private String projectEmployeeName; //  varchar(36) DEFAULT NULL COMMENT '项目总用户名称',
    private String projectHeadPicUrl; //  varchar(450) DEFAULT NULL COMMENT '项目总头像',
    private Integer projectPrizeInnNumber; //  int(8) DEFAULT NULL COMMENT '项目下获奖创新数目',

    private String regionUserId; //  varchar(36) DEFAULT NULL COMMENT '区域总用户id',
    private String regionName; //  varchar(100) DEFAULT NULL COMMENT '区域总的区域名称',
    private String regionEmployeeName; //  varchar(36) DEFAULT NULL COMMENT '区域总用户名称',
    private String regionHeadPicUrl;
    private Integer regionPrizeInnNumber; //  int(8) DEFAULT NULL COMMENT '区域下获奖创新数目',

    private String prizeId; //  varchar(36) DEFAULT NULL COMMENT '获奖表主键',
    private String status; //  char(1) DEFAULT NULL COMMENT '获奖项目状态',
    private Date createDate; //  datetime DEFAULT NULL COMMENT '创建日期',

    public String getInnEmployeeHeadPicUrl() {
        return innEmployeeHeadPicUrl;
    }

    public void setInnEmployeeHeadPicUrl(String innEmployeeHeadPicUrl) {
        this.innEmployeeHeadPicUrl = innEmployeeHeadPicUrl;
    }

    public String getPrizeEmployeeHeadPicUrl() {
        return prizeEmployeeHeadPicUrl;
    }

    public void setPrizeEmployeeHeadPicUrl(String prizeEmployeeHeadPicUrl) {
        this.prizeEmployeeHeadPicUrl = prizeEmployeeHeadPicUrl;
    }

    public Integer getPrizeUserInnNum() {
        return prizeUserInnNum;
    }

    public void setPrizeUserInnNum(Integer prizeUserInnNum) {
        this.prizeUserInnNum = prizeUserInnNum;
    }

    public Integer getPrizeUserThumbNum() {
        return prizeUserThumbNum;
    }

    public void setPrizeUserThumbNum(Integer prizeUserThumbNum) {
        this.prizeUserThumbNum = prizeUserThumbNum;
    }

    public String getPrizeItemId() {
        return prizeItemId;
    }

    public void setPrizeItemId(String prizeItemId) {
        this.prizeItemId = prizeItemId;
    }

    public String getInnId() {
        return innId;
    }

    public void setInnId(String innId) {
        this.innId = innId;
    }

    public String getInnTitle() {
        return innTitle;
    }

    public void setInnTitle(String innTitle) {
        this.innTitle = innTitle;
    }

    public String getInnContent() {
        return innContent;
    }

    public void setInnContent(String innContent) {
        this.innContent = innContent;
    }

    public String getInnType() {
        return innType;
    }

    public void setInnType(String innType) {
        this.innType = innType;
    }

    public String getInnBaseline() {
        return innBaseline;
    }

    public void setInnBaseline(String innBaseline) {
        this.innBaseline = innBaseline;
    }

    public String getInnClassification() {
        return innClassification;
    }

    public void setInnClassification(String innClassification) {
        this.innClassification = innClassification;
    }

    public String getInnTeamContent() {
        return innTeamContent;
    }

    public void setInnTeamContent(String innTeamContent) {
        this.innTeamContent = innTeamContent;
    }

    public String getInnProjectName() {
        return innProjectName;
    }

    public void setInnProjectName(String innProjectName) {
        this.innProjectName = innProjectName;
    }

    public String getInnRegionName() {
        return innRegionName;
    }

    public void setInnRegionName(String innRegionName) {
        this.innRegionName = innRegionName;
    }

    public String getInnUserId() {
        return innUserId;
    }

    public void setInnUserId(String innUserId) {
        this.innUserId = innUserId;
    }

    public String getPrizeUserId() {
        return prizeUserId;
    }

    public void setPrizeUserId(String prizeUserId) {
        this.prizeUserId = prizeUserId;
    }

    public String getPrizeEmployeeName() {
        return prizeEmployeeName;
    }

    public void setPrizeEmployeeName(String prizeEmployeeName) {
        this.prizeEmployeeName = prizeEmployeeName;
    }

    public String getPrizeUserProject() {
        return prizeUserProject;
    }

    public void setPrizeUserProject(String prizeUserProject) {
        this.prizeUserProject = prizeUserProject;
    }

    public String getPrizeUserRegion() {
        return prizeUserRegion;
    }

    public void setPrizeUserRegion(String prizeUserRegion) {
        this.prizeUserRegion = prizeUserRegion;
    }

    public String getProjectUserId() {
        return projectUserId;
    }

    public void setProjectUserId(String projectUserId) {
        this.projectUserId = projectUserId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectEmployeeName() {
        return projectEmployeeName;
    }

    public void setProjectEmployeeName(String projectEmployeeName) {
        this.projectEmployeeName = projectEmployeeName;
    }

    public String getProjectHeadPicUrl() {
        return projectHeadPicUrl;
    }

    public void setProjectHeadPicUrl(String projectHeadPicUrl) {
        this.projectHeadPicUrl = projectHeadPicUrl;
    }

    public Integer getProjectPrizeInnNumber() {
        return projectPrizeInnNumber;
    }

    public void setProjectPrizeInnNumber(Integer projectPrizeInnNumber) {
        this.projectPrizeInnNumber = projectPrizeInnNumber;
    }

    public String getRegionUserId() {
        return regionUserId;
    }

    public void setRegionUserId(String regionUserId) {
        this.regionUserId = regionUserId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getRegionEmployeeName() {
        return regionEmployeeName;
    }

    public void setRegionEmployeeName(String regionEmployeeName) {
        this.regionEmployeeName = regionEmployeeName;
    }

    public String getRegionHeadPicUrl() {
        return regionHeadPicUrl;
    }

    public void setRegionHeadPicUrl(String regionHeadPicUrl) {
        this.regionHeadPicUrl = regionHeadPicUrl;
    }

    public Integer getRegionPrizeInnNumber() {
        return regionPrizeInnNumber;
    }

    public void setRegionPrizeInnNumber(Integer regionPrizeInnNumber) {
        this.regionPrizeInnNumber = regionPrizeInnNumber;
    }

    public String getPrizeId() {
        return prizeId;
    }

    public void setPrizeId(String prizeId) {
        this.prizeId = prizeId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getInnEmployeeName() {
        return innEmployeeName;
    }

    public void setInnEmployeeName(String innEmployeeName) {
        this.innEmployeeName = innEmployeeName;
    }

    public Long getInnThumbNumber() {
        return innThumbNumber;
    }

    public void setInnThumbNumber(Long innThumbNumber) {
        this.innThumbNumber = innThumbNumber;
    }
}
